package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.Opening;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class OpeningNode extends Renderable {

	private final Opening opening;

	public OpeningNode(Opening o) {
		opening = o;
	}

	@Override
	public void refreshTextColor() {
		if (!opening.isValidated()) {
			setStatus(CheckStatus.NOT_CHECKED);
		} else if (opening.containsAnyError()) {
			setStatus(CheckStatus.ERROR);
		} else {
			setStatus(CheckStatus.OK);
		}
	}

	@Override
	public String getText() {
		return "Opening [" + opening.getGmlId() + ", " + opening.getType() + "]";
	}

	@Override
	public void visit(Renderer renderer) {
		renderer.render(opening);
	}

}
